freemarker.core

## Class ParsingNotSupportedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - freemarker.core.TemplateValueFormatException
      - - freemarker.core.ParsingNotSupportedException

All Implemented Interfaces:
  Serializable

    public class ParsingNotSupportedException
    extends TemplateValueFormatException

Thrown when the `TemplateValueFormat` doesn't support parsing, and parsing was invoked.

Since:
  2.3.24
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ParsingNotSupportedException(String message)`
`ParsingNotSupportedException(String message, Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ParsingNotSupportedException

    public ParsingNotSupportedException(String message,
                                        Throwable cause)

#### ParsingNotSupportedException

    public ParsingNotSupportedException(String message)